PHPExcel_Shared_Escher

# Class: PHPExcel_Shared_Escher_DgContainer_SpgrContainer_SpContainer

Source Location: /PHPExcel/Shared/Escher/DgContainer/SpgrContainer/SpContainer.php

### Class Overview

PHPExcel_Shared_Escher_DgContainer_SpgrContainer_SpContainer

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

- getEndCoordinates
- getEndOffsetX
- getEndOffsetY
- getNestingLevel
- getOPT
- getOPTCollection
- getParent
- getSpFlag
- getSpgr
- getSpId
- getSpType
- getStartCoordinates
- getStartOffsetX
- getStartOffsetY
- setEndCoordinates
- setEndOffsetX
- setEndOffsetY
- setOPT
- setParent
- setSpFlag
- setSpgr
- setSpId
- setSpType
- setStartCoordinates
- setStartOffsetX
- setStartOffsetY

### Class Details

[line 35]
PHPExcel_Shared_Escher_DgContainer_SpgrContainer_SpContainer

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### method getEndCoordinates [line 331]

`string getEndCoordinates( )`

Get cell coordinates of bottom-right corner of shape

#### Tags:

access: | public

[ Top ]

### method getEndOffsetX [line 351]

`int getEndOffsetX( )`

Get offset in x-direction of bottom-right corner of shape measured in 1/1024 of column width

#### Tags:

access: | public

[ Top ]

### method getEndOffsetY [line 371]

`int getEndOffsetY( )`

Get offset in y-direction of bottom-right corner of shape measured in 1/256 of row height

#### Tags:

access: | public

[ Top ]

### method getNestingLevel [line 383]

`int getNestingLevel( )`

Get the nesting level of this spContainer. This is the number of spgrContainers between this spContainer and the dgContainer. A value of 1 = immediately within first spgrContainer Higher nesting level occurs if and only if spContainer is part of a shape group

#### Tags:

return: | Nesting level
access: | public

[ Top ]

### method getOPT [line 238]

`mixed getOPT( int $property)`

Get an option for the Shape Group Container

#### Tags:

access: | public

#### Parameters:

int | $property | The number specifies the option

[ Top ]

### method getOPTCollection [line 251]

`array getOPTCollection( )`

Get the collection of options

#### Tags:

access: | public

[ Top ]

### method getParent [line 136]

`PHPExcel_Shared_Escher_DgContainer_SpgrContainer getParent( )`

Get the parent Shape Group Container

#### Tags:

access: | public

[ Top ]

### method getSpFlag [line 196]

`int getSpFlag( )`

Get the shape flag

#### Tags:

access: | public

[ Top ]

### method getSpgr [line 156]

`boolean getSpgr( )`

Get whether this is a group shape

#### Tags:

access: | public

[ Top ]

### method getSpId [line 216]

`int getSpId( )`

Get the shape index

#### Tags:

access: | public

[ Top ]

### method getSpType [line 176]

`int getSpType( )`

Get the shape type

#### Tags:

access: | public

[ Top ]

### method getStartCoordinates [line 271]

`string getStartCoordinates( )`

Get cell coordinates of upper-left corner of shape

#### Tags:

access: | public

[ Top ]

### method getStartOffsetX [line 291]

`int getStartOffsetX( )`

Get offset in x-direction of upper-left corner of shape measured in 1/1024 of column width

#### Tags:

access: | public

[ Top ]

### method getStartOffsetY [line 311]

`int getStartOffsetY( )`

Get offset in y-direction of upper-left corner of shape measured in 1/256 of row height

#### Tags:

access: | public

[ Top ]

### method setEndCoordinates [line 321]

`void setEndCoordinates( [string $value = 'A1'])`

Set cell coordinates of bottom-right corner of shape

#### Tags:

access: | public

#### Parameters:

string | $value |

[ Top ]

### method setEndOffsetX [line 341]

`void setEndOffsetX( [ $endOffsetX = 0], int $startOffsetX)`

Set offset in x-direction of bottom-right corner of shape measured in 1/1024 of column width

#### Tags:

access: | public

#### Parameters:

int | $startOffsetX |
| $endOffsetX |

[ Top ]

### method setEndOffsetY [line 361]

`void setEndOffsetY( [int $endOffsetY = 0])`

Set offset in y-direction of bottom-right corner of shape measured in 1/256 of row height

#### Tags:

access: | public

#### Parameters:

int | $endOffsetY |

[ Top ]

### method setOPT [line 227]

`void setOPT( int $property, mixed $value)`

Set an option for the Shape Group Container

#### Tags:

access: | public

#### Parameters:

int | $property | The number specifies the option
mixed | $value |

[ Top ]

### method setParent [line 126]

`void setParent( PHPExcel_Shared_Escher_DgContainer_SpgrContainer $parent)`

Set parent Shape Group Container

#### Tags:

access: | public

#### Parameters:

PHPExcel_Shared_Escher_DgContainer_SpgrContainer | $parent |

[ Top ]

### method setSpFlag [line 186]

`void setSpFlag( int $value)`

Set the shape flag

#### Tags:

access: | public

#### Parameters:

int | $value |

[ Top ]

### method setSpgr [line 146]

`void setSpgr( [boolean $value = false])`

Set whether this is a group shape

#### Tags:

access: | public

#### Parameters:

boolean | $value |

[ Top ]

### method setSpId [line 206]

`void setSpId( int $value)`

Set the shape index

#### Tags:

access: | public

#### Parameters:

int | $value |

[ Top ]

### method setSpType [line 166]

`void setSpType( int $value)`

Set the shape type

#### Tags:

access: | public

#### Parameters:

int | $value |

[ Top ]

### method setStartCoordinates [line 261]

`void setStartCoordinates( [string $value = 'A1'])`

Set cell coordinates of upper-left corner of shape

#### Tags:

access: | public

#### Parameters:

string | $value |

[ Top ]

### method setStartOffsetX [line 281]

`void setStartOffsetX( [int $startOffsetX = 0])`

Set offset in x-direction of upper-left corner of shape measured in 1/1024 of column width

#### Tags:

access: | public

#### Parameters:

int | $startOffsetX |

[ Top ]

### method setStartOffsetY [line 301]

`void setStartOffsetY( [int $startOffsetY = 0])`

Set offset in y-direction of upper-left corner of shape measured in 1/256 of row height

#### Tags:

access: | public

#### Parameters:

int | $startOffsetY |

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:17:45 +0200 by phpDocumentor 1.4.4